# gfs_glob_init

## Name

gfs_glob_init -- allocates memory for types of path names

## Synopsis

    #include <gfarm/gfarm.h>

```char *gfs_glob_init``(gfs_glob_t * `listp`);`

## DESCRIPTION

`gfs_glob_init()` allocates memory space for `gfs_glob(3)` and `gfs_glob_add(3)`. The memory space is stored to `listp`.

## RETURN VALUES

`NULL`

  The function terminated successfully.

`GFARM_ERR_NO_MEMORY`

  Insufficient memory was available.

Others

  An error except the above occurred. The reason is shown by its pointed strings.

## SEE ALSO

gfs_glob(3) gfs_glob_add(3) gfs_glob_free(3)